Skip to main content
GET
/
features
/
{featureKey}
Retrieve feature flag evaluation for workspace
curl --request GET \
  --url https://api.blaxel.ai/v0/features/{featureKey} \
  --header 'Authorization: Bearer <token>'
{
  "enabled": true,
  "evaluatedAt": "2026-02-09T10:30:00Z",
  "featureKey": "gpu_deployments",
  "payload": {
    "allowed_types": [
      "A100",
      "H100"
    ],
    "max_gpus": 4
  },
  "variant": "variant_a"
}

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

featureKey
string
required

Name of the feature flag

Query Parameters

account
string

Account ID to check feature flags for. When provided, evaluates the feature flag at the account level instead of the workspace level.

Response

Feature flag evaluation result with details

enabled
boolean
evaluatedAt
string<date-time>
featureKey
string
payload
object
variant
string
Last modified on March 27, 2026